diff --git a/vhusbd/windows/VBoxUsbRt.cpp b/vhusbd/windows/VBoxUsbRt.cpp
index 1c5d9b3..138e924 100755
--- a/vhusbd/windows/VBoxUsbRt.cpp
+++ b/vhusbd/windows/VBoxUsbRt.cpp
@@ -15,7 +15,7 @@
  */
 
 #include "VBoxUsbCmn.h"
-#include "../cmn/VBoxUsbIdc.h"
+//#include "../cmn/VBoxUsbIdc.h"
 #include "../cmn/VBoxUsbTool.h"
 
 #include <VBox/usblib-win.h>
@@ -158,25 +158,26 @@
 
 DECLHIDDEN(NTSTATUS) vboxUsbRtGlobalsInit()
 {
-    return vboxUsbRtIdcInit();
+    return STATUS_SUCCESS; //vboxUsbRtIdcInit();
 }
 
 DECLHIDDEN(VOID) vboxUsbRtGlobalsTerm()
 {
-    vboxUsbRtIdcTerm();
+    //vboxUsbRtIdcTerm();
 }
 
-
+// {4550B5F9-5636-44f1-A94E-B83669309BD4}
+DEFINE_GUID(GUID_CLASS_VHSD, 0x4550b5f9, 0x5636, 0x44f1, 0xa9, 0x4e, 0xb8, 0x36, 0x69, 0x30, 0x9b, 0xd4);
 DECLHIDDEN(NTSTATUS) vboxUsbRtInit(PVBOXUSBDEV_EXT pDevExt)
 {
     RtlZeroMemory(&pDevExt->Rt, sizeof (pDevExt->Rt));
-    NTSTATUS Status = IoRegisterDeviceInterface(pDevExt->pPDO, &GUID_CLASS_VBOXUSB,
+    NTSTATUS Status = IoRegisterDeviceInterface(pDevExt->pPDO, &GUID_CLASS_VHSD,
                                 NULL, /* IN PUNICODE_STRING ReferenceString OPTIONAL */
                                 &pDevExt->Rt.IfName);
     Assert(Status == STATUS_SUCCESS);
     if (NT_SUCCESS(Status))
     {
-        Status = vboxUsbRtIdcReportDevStart(pDevExt->pPDO, &pDevExt->Rt.hMonDev);
+        Status = STATUS_SUCCESS; //vboxUsbRtIdcReportDevStart(pDevExt->pPDO, &pDevExt->Rt.hMonDev);
         Assert(Status == STATUS_SUCCESS);
         if (NT_SUCCESS(Status))
         {
@@ -269,7 +270,7 @@
     if (!pDevExt->Rt.IfName.Buffer)
         return STATUS_SUCCESS;
 
-    NTSTATUS Status = vboxUsbRtIdcReportDevStop(pDevExt->Rt.hMonDev);
+    NTSTATUS Status = STATUS_SUCCESS; //vboxUsbRtIdcReportDevStop(pDevExt->Rt.hMonDev);
     Assert(Status == STATUS_SUCCESS);
     Status = IoSetDeviceInterfaceState(&pDevExt->Rt.IfName, FALSE);
     Assert(Status == STATUS_SUCCESS);
